Opened 10 years ago

Closed 10 years ago

Last modified 9 years ago

#2638 closed defect (fixed)

"Message could not be sent because a connection error occurred:" (w/ MSN HTTP Method)

Reported by: ThorbjornTux Owned by:
Milestone: 2.2.0 Component: libpurple
Version: 2.1.0 Keywords:
Cc:

Description (last modified by evands)

MSN (suddenly) stopped working. When I write something I get: (12:48:09 PM) Message could not be sent because a connection error occurred:

I upgraded to 2.1.0 - it did not help Japper (Gtalk) still works.

Debug-log
(12:47:40) account: Connecting to account tmartsum@gmail.com/Home
(12:47:40) connection: Connecting. gc = 01956838
(12:47:41) proxy: No environment settings found, not using a proxy
(12:47:41) dnsquery: Performing DNS lookup for talk.google.com
(12:47:41) account: Connecting to account martsummsw@hotmail.com
(12:47:41) connection: Connecting. gc = 01957618
(12:47:42) msn: new httpconn (01966788)
(12:47:42) dnsquery: Performing DNS lookup for gateway.messenger.hotmail.com
(12:47:42) msn: C: NS 000: VER 1 MSNP9 MSNP8 CVR0
(12:47:42) dnsquery: IP resolved for talk.google.com
(12:47:42) proxy: Attempting connection to 209.85.137.125
(12:47:42) proxy: Connecting to talk.google.com:5222 with no proxy
(12:47:42) proxy: Connection in progress
(12:47:42) dnsquery: IP resolved for gateway.messenger.hotmail.com
(12:47:42) proxy: Attempting connection to 207.46.96.154
(12:47:42) proxy: Connecting to gateway.messenger.hotmail.com:80 with no proxy
(12:47:42) proxy: Connection in progress
(12:47:42) proxy: Connected to talk.google.com:5222.
(12:47:42) jabber: Sending: <?xml version='1.0' ?>
(12:47:42) jabber: Sending: <stream:stream to='gmail.com' xmlns='jabber:client' xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>
(12:47:42) jabber: Recv (386): <?xml version="1.0" encoding="UTF-8"?><stream:stream from="gmail.com" id="3B3726991EB03234" version="1.0" xmlns:stream="http://etherx.jabber.org/streams" xmlns="jabber:client"><stream:features><starttls xmlns="urn:ietf:params:xml:ns:xmpp-tls"><required/></starttls><mechanisms xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><mechanism>X-GOOGLE-TOKEN</mechanism></mechanisms></stream:features>
(12:47:42) jabber: Sending: <starttls xmlns='urn:ietf:params:xml:ns:xmpp-tls'/>
(12:47:42) jabber: Recv (50): <proceed xmlns="urn:ietf:params:xml:ns:xmpp-tls"/>
(12:47:42) proxy: Connected to gateway.messenger.hotmail.com:80.
(12:47:43) jabber: Sending (ssl): <stream:stream to='gmail.com' xmlns='jabber:client' xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>
(12:47:43) jabber: Recv (ssl)(176): <?xml version="1.0" encoding="UTF-8"?><stream:stream from="gmail.com" id="9E1F48E19C0CEF8A" version="1.0" xmlns:stream="http://etherx.jabber.org/streams" xmlns="jabber:client">
(12:47:43) jabber: Recv (ssl)(166): <stream:features><mechanisms xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><mechanism>PLAIN</mechanism><mechanism>X-GOOGLE-TOKEN</mechanism></mechanisms></stream:features>
(12:47:43) jabber: Sending (ssl): <auth xmlns='urn:ietf:params:xml:ns:xmpp-sasl' xmlns:ga='http://www.google.com/talk/protocol/auth' ga:client-uses-full-bind-result='true' mechanism='PLAIN'>AHRtYXJ0c3VtAG1JaGFsY29j</auth>
(12:47:43) msn: S: NS 000: VER 1 MSNP9 MSNP8 CVR0
(12:47:43) msn: C: NS 000: CVR 2 0x0409 winnt 5.1 i386 MSNMSGR 6.0.0602 MSMSGS martsummsw@hotmail.com
(12:47:43) msn: S: NS 000: CVR 2 8.1.0178 8.1.0178 6.2.0208 http://msgr.dlservice.microsoft.com/download/1/A/4/1A4FEB1A-18E0-423A-B898-F697402E4F7F/Install_Messenger.exe http://messenger.msn.com
(12:47:43) msn: C: NS 000: USR 3 TWN I martsummsw@hotmail.com
(12:47:43) msn: S: NS 000: USR 3 TWN S lc=1033,id=507,tw=40,ru=http%3A%2F%2Fmessenger%2Emsn%2Ecom,ct=1187606863,kpp=1,kv=9,ver=2.1.6000.1,rn=x8ntY5mi,tpf=4c5d488270f4b0f6cd718c09ec4b4883
(12:47:43) dnsquery: Performing DNS lookup for nexus.passport.com
(12:47:43) dnsquery: IP resolved for nexus.passport.com
(12:47:43) proxy: Attempting connection to 65.54.179.216
(12:47:43) proxy: Connecting to nexus.passport.com:443 with no proxy
(12:47:43) proxy: Connection in progress
(12:47:43) proxy: Connected to nexus.passport.com:443.
(12:47:43) jabber: Recv (ssl)(51): <success xmlns="urn:ietf:params:xml:ns:xmpp-sasl"/>
(12:47:43) jabber: Sending (ssl): <stream:stream to='gmail.com' xmlns='jabber:client' xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>
(12:47:43) jabber: Recv (ssl)(176): <?xml version="1.0" encoding="UTF-8"?><stream:stream from="gmail.com" id="40DDF63F3B6FB332" version="1.0" xmlns:stream="http://etherx.jabber.org/streams" xmlns="jabber:client">
(12:47:43) jabber: Recv (ssl)(137): <stream:features><bind xmlns="urn:ietf:params:xml:ns:xmpp-bind"/><session xmlns="urn:ietf:params:xml:ns:xmpp-session"/></stream:features>
(12:47:43) jabber: Sending (ssl): <iq type='set' id='purple4f826e2b'><bind xmlns='urn:ietf:params:xml:ns:xmpp-bind'><resource>Home</resource></bind></iq>
(12:47:43) jabber: Recv (ssl)(139): <iq id="purple4f826e2b" type="result"><bind xmlns="urn:ietf:params:xml:ns:xmpp-bind"><jid>tmartsum@gmail.com/HomeCE838E4C</jid></bind></iq>
(12:47:43) jabber: Sending (ssl): <iq type='set' id='purple4f826e2c'><session xmlns='urn:ietf:params:xml:ns:xmpp-session'/></iq>
(12:47:43) jabber: Recv (ssl)(1):  
(12:47:43) jabber: Recv (ssl)(39): <iq type="result" id="purple4f826e2c"/>
(12:47:43) connection: Activating keepalive.
(12:47:43) jabber: Sending (ssl): <iq type='get' id='purple4f826e2d' to='gmail.com'><query xmlns='http://jabber.org/protocol/disco#items'/></iq>
(12:47:43) jabber: Sending (ssl): <iq type='get' id='purple4f826e2e' to='gmail.com'><query xmlns='http://jabber.org/protocol/disco#info'/></iq>
(12:47:44) jabber: Recv (ssl)(261): <iq type="error" id="purple4f826e2d" to="tmartsum@gmail.com/HomeCE838E4C" from="gmail.com"><query xmlns="http://jabber.org/protocol/disco#items"/><error code="501" type="cancel"><feature-not-implemented xmlns="urn:ietf:params:xml:ns:xmpp-stanzas"/></error></iq>
(12:47:44) dnsquery: Performing DNS lookup for login.live.com
(12:47:44) dnsquery: IP resolved for login.live.com
(12:47:44) proxy: Attempting connection to 65.54.179.203
(12:47:44) proxy: Connecting to login.live.com:443 with no proxy
(12:47:44) proxy: Connection in progress
(12:47:44) jabber: Recv (ssl)(578): <iq to="tmartsum@gmail.com/HomeCE838E4C" from="gmail.com" id="purple4f826e2e" type="result"><query xmlns="http://jabber.org/protocol/disco#info"><identity category="server" type="im" name="Google Talk"/><feature var="http://jabber.org/protocol/disco#info"/><feature var="google:jingleinfo"/><feature var="google:roster"/><feature var="google:nosave"/><feature var="google:setting"/><feature var="google:shared-status"/><feature var="http://jabber.org/protocol/archive#otr"/><feature var="google:mail:notify"/><feature var="http://jabber.org/protocol/archive#save"/></query></iq>
(12:47:44) jabber: Google Talk!(12:47:44) jabber: Sending (ssl): <iq type='get' id='purple4f826e2f'><query xmlns='jabber:iq:roster' xmlns:gr='google:roster' gr:ext='2'/></iq>
(12:47:44) jabber: Sending (ssl): <iq type='get' id='purple4f826e30'><query xmlns='vcard-temp'/></iq>
(12:47:44) proxy: Connected to login.live.com:443.
(12:47:44) jabber: Recv (ssl)(497): <iq to="tmartsum@gmail.com/HomeCE838E4C" id="purple4f826e2f" type="result"><query gr:ext="2" xmlns="jabber:iq:roster" xmlns:gr="google:roster"><item jid="jakobsg@gmail.com" subscription="both" gr:w="3" gr:mc="14" gr:emc="1"/><item jid="dk.jessn@gmail.com" subscription="both" name="Jess Nielsen" gr:w="1" gr:mc="5" gr:emc="1"><group>Buddies</group></item><item jid="toke.dam@gmail.com" subscription="both" gr:w="1" gr:mc="5"/><item jid="martinogdorthe@gmail.com" subscription="both"/></query></iq>
(12:47:44) jabber: Sending (ssl): <presence><priority>1</priority><c xmlns='http://jabber.org/protocol/caps' node='http://pidgin.im/caps' ver='2.1.0'/></presence>
(12:47:44) jabber: Recv (ssl)(1):  
(12:47:44) jabber: Recv (ssl)(216): <iq type="error" id="purple4f826e30" to="tmartsum@gmail.com/HomeCE838E4C"><query xmlns="vcard-temp"/><error code="501" type="cancel"><feature-not-implemented xmlns="urn:ietf:params:xml:ns:xmpp-stanzas"/></error></iq>
(12:47:44) msn: Sending: {GET /login2.srf HTTP/1.1

Authorization: Passport1.4 OrgVerb=GET,OrgURL=http%3A%2F%2Fmessenger%2Emsn%2Ecom,sign-in=martsummsw%40hotmail%2ecom,pwd=XXXXXXXX,lc=1033,id=507,tw=40,fs=(null),ru=http%3A%2F%2Fmessenger%2Emsn%2Ecom,ct=1187607063,kpp=1,kv=9,ver=2.1.6000.1,tpf=4c5d488270f4b0f6cd718c09ec4b4883

User-Agent: MSMSGS

Host: login.live.com

Connection: Keep-Alive

Cache-Control: no-cache



}
(12:47:44) msn: ssl buffer: {HTTP/1.1 200 OK

Connection: close

Date: Mon, 20 Aug 2007 10:47:44 GMT

Server: Microsoft-IIS/6.0

PPServer: PPV: 30 H: BAYPPLOGN2A23 V: 0

P3P:CP="BUS CUR CONo FIN IVDo ONL OUR PHY SAMo TELo"

X-Powered-By: ASP.NET

Content-Type: text/html; charset=iso-8859-1

Expires: Mon, 20 Aug 2007 10:46:44 GMT

Cache-Control: no-cache

Pragma: no-cache

P3P: CP="DSP CUR OTPi IND OTRi ONL FIN"

Set-Cookie: PPAuth=AZU2nQPG0VG!mTBoCG4gKtDYetZLTuvw2pSxgt3l7A!wh1at61TP0uLQDEsCObWzp6OdtXyrParL33a3Ld8HSej9qJIsp6EUNn0ChzlCDRHEf3iqal1ajXpa98iFcsZafAGGjRhlo7hrXZwa18aiGz9DfQZOcfBsLE*1x5Rh4Foqf1N9u*doT5y6WRol4MbBsw7ImjNO9bLCAzG3tQ$$; domain=login.live.com;secure= ;path=/;HTTPOnly= ;version=1

Set-Cookie: PPLState=1; domain=.live.com;path=/;version=1

Set-Cookie: MSPVis=507;domain=login.live.com;path=/

Authentication-Info: Passport1.4 da-status=success,from-PP='t=9z*IOtPr6Dt2zkTODIPwzVMIZaPihSmAktDw5U0TShsSnLey5hDT7XcI0IMh*ODmGYESipjKyvMl9Ek4I0qJONshg0bdE3Wpe7BRiYi3!5rx44Lmu!HTy0vWqVjukyM2Dp&p=9oGlgZudoC6rfskRvSiSCbMt8rHkN!CKpSfznfiBkmPLaqC6bB4vaZCfdSo0TkfNdA1kwE91skj50WzF3XmJdRqj5hPOxY1MrUGzwN*y3irEmKvyyWdDP3DngMuozDSm6VKbjcxydpgkbgws65xAZag4bvEHp96!PX4BBgNHMxzo1OfwrFoxaVFY1Ddb8cIKSQFAdWWa*TUrM$',ru=http://messenger.msn.com

Content-Length: 0



}(12:47:44) msn: C: NS 000: USR 4 TWN S t=9z*IOtPr6Dt2zkTODIPwzVMIZaPihSmAktDw5U0TShsSnLey5hDT7XcI0IMh*ODmGYESipjKyvMl9Ek4I0qJONshg0bdE3Wpe7BRiYi3!5rx44Lmu!HTy0vWqVjukyM2Dp&p=9oGlgZudoC6rfskRvSiSCbMt8rHkN!CKpSfznfiBkmPLaqC6bB4vaZCfdSo0TkfNdA1kwE91skj50WzF3XmJdRqj5hPOxY1MrUGzwN*y3irEmKvyyWdDP3DngMuozDSm6VKbjcxydpgkbgws65xAZag4bvEHp96!PX4BBgNHMxzo1OfwrFoxaVFY1Ddb8cIKSQFAdWWa*TUrM$
(12:47:44) jabber: Recv (ssl)(464): <presence from="martinogdorthe@gmail.com/Talk.v1049736559F" to="tmartsum@gmail.com/HomeCE838E4C"><show>away</show><priority>24</priority><c node="http://www.google.com/xmpp/client/caps" ver="1.0.0.104" ext="share-v1 voice-v1" xmlns="http://jabber.org/protocol/caps"/><x stamp="20070815T14:22:11" xmlns="jabber:x:delay"/><status>Tell me whats on your mind</status><x xmlns="vcard-temp:x:update"><photo>884cf2a971149ab5b74bc45c5e9780df12a4a822</photo></x></presence>
(12:47:44) blist: Updating buddy status for martinogdorthe@gmail.com (XMPP)
(12:47:44) jabber: Recv (ssl)(1):  
(12:47:44) jabber: Recv (ssl)(280): <presence from="toke.dam@gmail.com/miranda84D4D7E3" to="tmartsum@gmail.com/HomeCE838E4C"><priority>0</priority><x xmlns="jabber:x:avatar"><hash>34d388f2aeedaf08d1a1e6709b343fa7c71bb574</hash></x><status>Yep, I'm here.</status><x xmlns="vcard-temp:x:update"><photo/></x></presence>
(12:47:44) blist: Updating buddy status for toke.dam@gmail.com (XMPP)
(12:47:44) jabber: Recv (ssl)(303): <presence from="jakobsg@gmail.com/Kopete" to="tmartsum@gmail.com/HomeCE838E4C">
<priority>2</priority>
<c node="http://kopete.kde.org/jabber/caps" ver="0.12.3" xmlns="http://jabber.org/protocol/caps"/>
<x xmlns="vcard-temp:x:update"><photo>1d763dabf3b24ff280cdf6621d6c026e18e7da22</photo></x></presence>
(12:47:44) blist: Updating buddy status for jakobsg@gmail.com (XMPP)
(12:47:44) jabber: Recv (ssl)(322): <presence from="jakobsg@gmail.com/gmail.79446B95" to="tmartsum@gmail.com/HomeCE838E4C"><priority>24</priority><caps:c node="http://mail.google.com/xmpp/client/caps" ver="1.1" xmlns:caps="http://jabber.org/protocol/caps"/><x xmlns="vcard-temp:x:update"><photo>1d763dabf3b24ff280cdf6621d6c026e18e7da22</photo></x></presence>
(12:47:44) blist: Updating buddy status for jakobsg@gmail.com (XMPP)
(12:47:44) jabber: Recv (ssl)(133): <iq type="get" to="tmartsum@gmail.com/HomeCE838E4C" from="toke.dam@gmail.com/miranda84D4D7E3"><query xmlns="jabber:iq:version"/></iq>
(12:47:44) prefs: purple_prefs_get_bool: Unknown pref /plugins/prpl/jabber/hide_os
(12:47:44) jabber: Sending (ssl): <iq type='result' to='toke.dam@gmail.com/miranda84D4D7E3'><query xmlns='jabber:iq:version'><name>Pidgin</name><version>2.1.0 (libpurple 2.1.0)</version><os>MINGW_WinNT 11 i1586</os></query></iq>
(12:47:44) msn: S: NS 000: USR 4 OK martsummsw@hotmail.com Thorbjørn 1 0
(12:47:44) msn: C: NS 000: SYN 5 0
(12:47:45) util: Writing file accounts.xml to directory C:\Documents and Settings\tsetlm\Application Data\.purple
(12:47:45) util: Writing file blist.xml to directory C:\Documents and Settings\tsetlm\Application Data\.purple
(12:47:45) msn: S: NS 000: MSG Hotmail Hotmail 497
(12:47:45) jabber: Recv (ssl)(136): <iq type="get" to="tmartsum@gmail.com/HomeCE838E4C" id="abc0a" from="jakobsg@gmail.com/Kopete">
<query xmlns="jabber:iq:version"/>
</iq>
(12:47:45) prefs: purple_prefs_get_bool: Unknown pref /plugins/prpl/jabber/hide_os
(12:47:45) jabber: Sending (ssl): <iq type='result' to='jakobsg@gmail.com/Kopete' id='abc0a'><query xmlns='jabber:iq:version'><name>Pidgin</name><version>2.1.0 (libpurple 2.1.0)</version><os>MINGW_WinNT 11 i1586</os></query></iq>
(12:47:47) msn: S: NS 000: SYN 5 1 5 1
(12:47:47) msn: S: NS 000: GTC A
(12:47:47) msn: S: NS 000: BLP BL
(12:47:47) msn: S: NS 000: PRP PHH unknown
(12:47:47) msn: S: NS 000: PRP PHW unknown
(12:47:47) msn: S: NS 000: PRP PHM unknown
(12:47:47) msn: S: NS 000: PRP MBE N
(12:47:47) msn: S: NS 000: PRP WWE 0
(12:47:47) msn: S: NS 000: LSG 0 Individuals 0
(12:47:47) msn: S: NS 000: LST hight0wer@hotmail.com Jonas 3 0
(12:47:47) msn: S: NS 000: LST thorbek@hotmail.com Rune 11 0
(12:47:47) msn: S: NS 000: LST azrael_3000@hotmail.com azrael_3000@hotmail.com 11 0
(12:47:47) msn: S: NS 000: LST toke.dam@get2net.dk toke.dam@get2net.dk 10
(12:47:47) msn: S: NS 000: LST syed_jonas@hotmail.com syed_jonas@hotmail.com 2
(12:47:47) msn: C: NS 000: CHG 6 NLN 1073741856
(12:47:47) msn: C: NS 000: BLP 7 BL
(12:47:47) connection: Activating keepalive.
(12:47:47) msn: C: NS 000: URL 8 INBOX
(12:47:47) msn: S: NS 000: CHG 6 NLN 1073741856
(12:47:47) msn: S: NS 000: MSG Hotmail Hotmail 222
(12:47:47) msn: queueing command.
(12:47:47) msn: C: NS 000: URL 9 INBOX
(12:47:47) msn: S: NS 000: BLP 7 1 BL
(12:47:47) msn: S: NS 000: ILN 6 NLN azrael_3000@hotmail.com Marc 805306412 %3Cmsnobj%20Creator%3D%22azrael_3000%40hotmail%2Ecom%22%20Size%3D%224892%22%20Type%3D%223%22%20Location%3D%22TFR2C%2Etmp%22%20Friendly%3D%22AAA%3D%22%20SHA1D%3D%22Y78wn7m8sOTmyXimrSi3mBK5l10%3D%22%20SHA1C%3D%22aW%2Fg%2FAohbgiw1XAlE%2B0NSnRWpH4%3D%22%2F%3E
(12:47:47) msn: new httpconn (019E3F78)
(12:47:47) msn: C: NS 000: XFR 10 SB
(12:47:47) msn: Appending message to queue.
(12:47:47) blist: Updating buddy status for azrael_3000@hotmail.com (MSN)
(12:47:47) msn: S: NS 000: URL 8 /cgi-bin/HoTMaiL https://login.live.com/ppsecure/md5auth.srf?lc=1033 2
(12:47:47) msn: S: NS 000: URL 9 /cgi-bin/HoTMaiL https://login.live.com/ppsecure/md5auth.srf?lc=1033 2
(12:47:47) msn: unqueueing command.
(12:47:49) msn: S: NS 000: XFR 10 SB 65.54.228.16:1863 CKI 1678781312.100108171.12648100
(12:47:49) dnsquery: Performing DNS lookup for gateway.messenger.hotmail.com
(12:47:49) msn: C: SB 001: USR 1 martsummsw@hotmail.com 1678781312.100108171.12648100
(12:47:49) dnsquery: IP resolved for gateway.messenger.hotmail.com
(12:47:49) proxy: Attempting connection to 207.46.96.154
(12:47:49) proxy: Connecting to gateway.messenger.hotmail.com:80 with no proxy
(12:47:49) proxy: Connection in progress
(12:47:49) proxy: Connected to gateway.messenger.hotmail.com:80.
'''(12:47:51) msn: Connection error from Switchboard server (65.54.228.16): Reading error'''
(12:47:51) msn: destroy httpconn (019E3F78)
(12:47:52) util: Writing file blist.xml to directory C:\Documents and Settings\tsetlm\Application Data\.purple
(12:48:01) prefs: /pidgin/blist/width changed, scheduling save.
(12:48:01) prefs: /pidgin/blist/height changed, scheduling save.
(12:48:01) prefs: /pidgin/blist/list_visible changed, scheduling save.
(12:48:01) prefs: /pidgin/blist/width changed, scheduling save.
(12:48:01) prefs: /pidgin/blist/height changed, scheduling save.
(12:48:02) gtkspell: Failed to setup GtkSpell: aspell: No word lists can be found for the language "en".
(12:48:02) prefs: purple_prefs_get_bool: Unknown pref /pidgin/win32/minimize_new_convs
(12:48:02) win32placement: Window RECT: L:594 R:1538 T:492 B:990
(12:48:02) wpurple: This version of user32 contains MonitorFromWindow
(12:48:02) wpurple: This version of user32 contains GetMonitorInfoA
(12:48:02) win32placement: Working Area RECT: L:0 R:1680 T:0 B:997
(12:48:06) util: Writing file prefs.xml to directory C:\Documents and Settings\tsetlm\Application Data\.purple
(12:48:06) msn: new httpconn (019CCAF8)
(12:48:06) msn: C: NS 000: XFR 11 SB
(12:48:06) msn: Appending message to queue.
(12:48:06) sound: Playing C:\Program Files\Pidgin\sounds\pidgin\send.wav
(12:48:06) sound: Error playing sound.
(12:48:07) msn: S: NS 000: XFR 11 SB 65.54.228.46:1863 CKI 130824714.7727155.24922863
(12:48:07) dnsquery: Performing DNS lookup for gateway.messenger.hotmail.com
(12:48:07) msn: C: SB 002: USR 1 martsummsw@hotmail.com 130824714.7727155.24922863
(12:48:07) dnsquery: IP resolved for gateway.messenger.hotmail.com
(12:48:07) proxy: Attempting connection to 207.46.96.154
(12:48:07) proxy: Connecting to gateway.messenger.hotmail.com:80 with no proxy
(12:48:07) proxy: Connection in progress
'''(12:48:07) proxy: Connected to gateway.messenger.hotmail.com:80.
(12:48:09) msn: Connection error from Switchboard server (65.54.228.46): Reading error'''
(12:48:09) msn: Switchboard with unassigned conversation
(12:48:09) msn: destroy httpconn (019CCAF8)

Change History (68)

comment:1 Changed 10 years ago by datallah

  • Component changed from pidgin (gtk) to libpurple

Apparently, this has been happening to people who are using the the "HTTP Method" for their MSN accounts.

comment:2 Changed 10 years ago by blueorder

I am having the same issue. I am using Pidgin 2.1.1 for Windows. I also use HTTP Method.

Here is my debug output:

(08:24:03) msn: new httpconn (01A09EE8)
(08:24:03) msn: C: NS 000: XFR 11 SB
(08:24:03) msn: Appending message to queue.
(08:24:03) sound: Playing C:\Program Files\Pidgin\sounds\purple\send.wav
(08:24:03) msn: S: NS 000: XFR 11 SB 65.54.171.33:1863 CKI 1631305607.6415695.9011611
(08:24:03) dnsquery: Performing DNS lookup for gateway.messenger.hotmail.com
(08:24:03) msn: C: SB 002: USR 1 user@hotmail.com 1631305607.6415695.9011611
(08:24:03) dnsquery: IP resolved for gateway.messenger.hotmail.com
(08:24:03) proxy: Attempting connection to 65.54.239.211
(08:24:03) proxy: Connecting to gateway.messenger.hotmail.com:80 with no proxy
(08:24:03) proxy: Connection in progress
(08:24:03) proxy: Connected to gateway.messenger.hotmail.com:80.
(08:24:04) util: Writing file accounts.xml to directory C:\Documents and Settings\someuser\Application Data\.purple
(08:24:05) msn: Connection error from Switchboard server (65.54.171.33): Reading error
(08:24:05) msn: Switchboard with unassigned conversation
(08:24:05) msn: destroy httpconn (01A09EE8)
(08:24:06) util: Writing file prefs.xml to directory C:\Documents and Settings\someuser\Application Data\.purple
(08:24:06) msn: new httpconn (02CF1510)
(08:24:06) msn: C: NS 000: XFR 12 SB
(08:24:06) msn: Appending message to queue.
(08:24:06) msn: S: NS 000: XFR 12 SB 65.54.171.39:1863 CKI 503465934.18126254.1162460
(08:24:06) dnsquery: Performing DNS lookup for gateway.messenger.hotmail.com
(08:24:06) msn: C: SB 003: USR 1 user@hotmail.com 503465934.18126254.1162460
(08:24:06) dnsquery: IP resolved for gateway.messenger.hotmail.com
(08:24:06) proxy: Attempting connection to 65.54.239.211
(08:24:06) proxy: Connecting to gateway.messenger.hotmail.com:80 with no proxy
(08:24:06) proxy: Connection in progress
(08:24:06) proxy: Connected to gateway.messenger.hotmail.com:80.
(08:24:08) gtkappbar: wnd_poschanging
(08:24:08) accels: accel changed, scheduling save.
(08:24:08) accels: accel changed, scheduling save.
(08:24:08) accels: accel changed, scheduling save.
(08:24:08) accels: accel changed, scheduling save.
(08:24:08) accels: accel changed, scheduling save.
(08:24:08) accels: accel changed, scheduling save.
(08:24:08) GLib-GObject: invalid cast from `GtkEventBox' to `GtkButton'
(08:24:08) Gtk: gtk_button_get_relief: assertion `GTK_IS_BUTTON (button)' failed
(08:24:08) GLib-GObject: invalid cast from `GtkEventBox' to `GtkButton'
(08:24:08) Gtk: gtk_button_get_relief: assertion `GTK_IS_BUTTON (button)' failed
(08:24:08) msn: Connection error from Switchboard server (65.54.171.39): Reading error
(08:24:08) msn: destroy httpconn (02CF1510)
(08:24:13) accels: saving accels to C:\Documents and Settings\someuser\Application Data\.purple\accels
(08:24:16) msn: S: NS 000: CHL 0 32435173453170124457
(08:24:16) msn: C: NS 000: QRY 13 PROD0038W!61ZTF9 32
(08:24:16) msn: S: NS 000: QRY 13

comment:3 Changed 10 years ago by JSB

I'm having the same problem. Is there a proxy setting I should use? I'm seeing this in the debug window:

(10:01:59) proxy: No environment settings found, not using a proxy (10:01:59) msn: new httpconn (017ECB28) (10:01:59) msn: C: NS 000: XFR 12 SB (10:01:59) proxy: No environment settings found, not using a proxy (10:01:59) msn: Appending message to queue. (10:02:00) msn: S: NS 000: XFR 12 SB 207.46.27.13:1863 CKI 1278034975.019147.16823711 (10:02:00) proxy: No environment settings found, not using a proxy (10:02:00) dnsquery: Performing DNS lookup for gateway.messenger.hotmail.com (10:02:00) msn: C: SB 002: USR 1 jsbracher@… 1278034975.019147.16823711 (10:02:00) dnsquery: IP resolved for gateway.messenger.hotmail.com (10:02:00) proxy: Attempting connection to 65.54.239.211 (10:02:00) proxy: Connecting to gateway.messenger.hotmail.com:80 with no proxy (10:02:00) proxy: Connection in progress (10:02:00) proxy: Connected to gateway.messenger.hotmail.com:80. (10:02:00) proxy: No environment settings found, not using a proxy (10:02:01) proxy: No environment settings found, not using a proxy (10:02:02) proxy: No environment settings found, not using a proxy (10:02:02) msn: Connection error from Switchboard server (207.46.27.13): Reading error (10:02:02) msn: Switchboard with unassigned conversation (10:02:02) msn: destroy httpconn (017ECB28)

comment:4 Changed 10 years ago by Nuphor

Can confirm that this is affecting all versions of Adium attempting to connect to MSN over HTTP also.

comment:5 Changed 10 years ago by AbrekUS

I'm having the same problem:

With "Use HTTP Method" turned on, I'm able to connect to MSN and getting contact list, but can't send/receive messages.

With "Use HTTP Method" turned off, Podgin can't even connect to MSN.

I'm using Pidgin 2.1.0 on Fedora 7 (pidgin-2.1.0-2.fc7)

comment:6 follow-up: Changed 10 years ago by JSB

Is there a way to change the priority from minor to something important? If I can't use Pidgin to chat with friends, I have to change to something that will let me chat with friends.

comment:7 follow-up: Changed 10 years ago by garbelini

The priority should definitely get bumped up. Having the same problem here with Vista, Pidgin 2.1.1 and a corporate firewall.

comment:8 in reply to: ↑ 7 Changed 10 years ago by d.bug

Me and everybody else at my office have the same problem. It seems from the debugger that the problem is msn: Connection error from Switchboard server As we kan log in using http method but the messages sent to the switchboard don't get to the switchboard...

As JSB and garbelini wrote, is this not a more important error than minor... whitout hhtpmethod pidgin is basicly useless for our usage. Is there anybody who know how this problem can be fixed, or maybe even have a time estimate for a fix.. :) it would be much appreciated.

we use v 2.1.1 and some older versions (all above 2) same error.

comment:9 in reply to: ↑ 6 Changed 10 years ago by blueorder

Another vote to bumping up the priority. If we can't send messages through HTTP Method I'd say that is more than minor.

comment:10 Changed 10 years ago by jebbis

we have the same problem as well in my office. i really hope that the priority can be adjusted to something higher than minor... :)

comment:11 Changed 10 years ago by geddeth

I'm having the same problem with WinXP SP2 and Pidgin SVN. This is the debug log during a send:

(09:10:32) msn: new httpconn (029481E0)
(09:10:32) msn: C: NS 000: XFR 14 SB
(09:10:32) msn: Appending message to queue.
(09:10:32) msn: S: NS 000: XFR 14 SB 207.46.26.92:1863 CKI 1793932455.11323432.9812361
(09:10:32) dnsquery: Performing DNS lookup for gateway.messenger.hotmail.com
(09:10:32) msn: C: SB 005: USR 1 geddeth@hotmail.com 1793932455.11323432.9812361
(09:10:32) dnsquery: IP resolved for gateway.messenger.hotmail.com
(09:10:32) proxy: Attempting connection to 207.46.28.94
(09:10:32) proxy: Connecting to gateway.messenger.hotmail.com:80 with no proxy
(09:10:32) proxy: Connection in progress
(09:10:32) proxy: Connected to gateway.messenger.hotmail.com:80.
(09:10:35) msn: Connection error from Switchboard server (207.46.26.92): Reading error
(09:10:35) msn: Switchboard with unassigned conversation
(09:10:35) msn: destroy httpconn (029481E0)

comment:12 Changed 10 years ago by hilbert70

I am having the same problem with pidgin and aMsn (sorry), on fedora core 7. A way around is to use the proxy method. I installed squid locally and let pidgin use this connection. It is a bit slow but it is working.

comment:13 Changed 10 years ago by simpleness

I have the same problem. In the Help->About box I find in the bottom:

Debugging Information

Plugins: Enabled

SSL: SSL support is present.

GTK+ Runtime: 2.10.13

Glib Runtime: 2.12.12

Library Support

Cyrus SASL: Disabled

Gadu-Gadu library (libgadu): Internal

GtkSpell?: Enabled

GnuTLS: Disabled

Network Security Services (NSS): Enabled

Perl: Enabled

Tcl: Enabled

Tk: Enabled

I re-installed previous versions of Pidgin (2.1.0, 2.0.2), but with no success. Perhaps because I did not completely remove the directories after de-installing.

comment:14 Changed 10 years ago by marked23

I can confirm that Windows Messenger 5.1 (for XP) works with the new HTTP protocol. So if somebody needs something to look at to figure out how it works, this is it.

http://www.microsoft.com/downloads/details.aspx?FamilyID=a8d9eb73-5f8c-4b9a-940f-9157a3b3d774&DisplayLang=en

comment:15 Changed 10 years ago by realyst

I've got the same error on the newest Pidgin in Windows. I can see contacts but can't message anything to MSN users.

comment:16 Changed 10 years ago by Anthraxx

I get the exact same thing. With HTTP on, I get the connection error, with it off, I can't connect at all.

The thing is, I had it working fine a few days ago, the I reformatted, and now it doesn't work.

comment:17 Changed 10 years ago by JSB

Try this (suggested by khc on #pidgin):

  1. edit your msn account information
  2. click on the advanced tab
  3. clear "use HTTP method"
  4. make proxy type: no proxy.

This is working for me.

comment:18 Changed 10 years ago by Anthraxx

Wow, that works. Thanks heaps :D

comment:19 Changed 10 years ago by Anthraxx

Oops, I opened it up again, and it no longer works.

comment:20 Changed 10 years ago by evands

  • Description modified (diff)

comment:21 Changed 10 years ago by evands

  • Description modified (diff)

comment:22 Changed 10 years ago by evands

This is Adium Ticket #7682. From the debug logging there, it appears that the socket callback is being triggered for a write when libpurple is expecting only a read:

16:31:56: (Libpurple: msn) new httpconn (0x5bb480)
16:31:56: (Libpurple: msn) C: NS 000: XFR 9 SB
16:31:56: (Libpurple: msn) Appending message to queue.
16:31:56: (Libpurple: msn) S: NS 000: XFR 9 SB 207.46.27.51:1863 CKI 995428939.65248221.13824190
16:31:56: (Libpurple: dns) DNS query for 'gateway.messenger.hotmail.com' queued
16:31:56: (Libpurple: msn) C: SB 001: USR 1 test2@test.com 995428939.65248221.13824190
16:31:56: Performing DNS resolve: gateway.messenger.hotmail.com:80
16:31:56: DNS resolve complete for gateway.messenger.hotmail.com:80
16:31:56: (Libpurple: dnsquery) IP resolved for gateway.messenger.hotmail.com
16:31:56: (Libpurple: proxy) Attempting connection to 207.46.96.154
16:31:56: (Libpurple: proxy) Connecting to gateway.messenger.hotmail.com:80 with no proxy
16:31:56: (Libpurple: proxy) Connection in progress
16:31:57: (Libpurple: proxy) Connected to gateway.messenger.hotmail.com:80.
16:31:57: Called write with no write_tag (read_tag 58 write_tag 0) for 8981480
16:31:59: (Libpurple: msn) Connection error from Switchboard server (207.46.27.51): Reading error
16:31:59: (Libpurple: msn) Switchboard with unassigned conversation
16:31:59: adiumPurpleConvWriteConv: Received Message could not be sent because a connection error occurred: from test@test.com [512]
16:31:59: *** Conversation error type 6 (test@test.com): Message could not be sent because a connection error occurred:
16:31:59: adiumPurpleConvWriteConv: Received <FONT FACE="MS Sans Serif"><FONT COLOR="#000000">Test</FONT></FONT> from test@test.com [2048]
16:31:59: (Libpurple: msn) destroy httpconn (0x5bb480)

The debug logging which doesn't start with (Libpurple is from Adium; the "Called write with no write_tag" occurs when the socket callback is called as described above.

comment:23 Changed 10 years ago by mishka

Same problem here. Pidgin 2.1.1, running on Windows XP SP2. Using port 1863, HTTP method, and No Proxy. Can be recreated anytime.

Please move this issue to major, because of our firewall, the only way I can use MSN account is via HTTP method..

comment:24 Changed 10 years ago by Anthraxx

Yeah, I've left my computer pretty much defenceless trying to get some IM love; disabled Vista firewall, no antivirus or firewall software even installed, let alone running, tryed forwarding ports locally for Pidgin to go through. Nothing works.

comment:25 in reply to: ↑ description Changed 10 years ago by alanpol

Chiming in with another "me too"...unfortunately means I can't use pidgin at work, which is, well, major... Am running 2.1.1 on XP SP2, HTTP, no proxy, port 1863. Is there any feedback I can provide to help fix this issue ?

comment:26 Changed 10 years ago by Anthraxx

Actually, are there any ports I should specifically forward? I just tried a few random ones. Also, what protocol? I've been using TCP/UDP. I don't know if it makes a difference using one or the other though.

comment:27 Changed 10 years ago by misterreed

Another "Me Too!". Please raise the severity of this issue. I cannot communicate with any of my MSN contacts while at work.

comment:28 Changed 10 years ago by misanek

I have the same problem as well. I would appreciate making the problem major as well. If it helps to developers, I have the same problem using both, pidgin and kopete, on kubuntu Feisty. I had no problem using piding and kopete on openSuse 10.2

comment:29 Changed 10 years ago by d.bugger

FWIW: same error here. I saw somewhere on this site (different ticket) that "my network setup is to blame". Nothing changed here, and if I have the option not to use a proxy I assume Pidgin can work without one. Or am I wrong?

Please promote this toicket to BLOCKING!

comment:30 Changed 10 years ago by TechnoSwiss

As I understand it, this was caused by a protocol change on MSN's side, so not a bug in Pidgin. For those of us who spend most of the day behind a company firewall, this is more then a minor bug.

Any information we can pass along that might help in resolving this?

Thanks

comment:31 Changed 10 years ago by Eskarina

I have the same problem at my office. As I spend here most of my time, it isn't a minor bug. Pidgin is almost useless til this problem is solved. Can we do anything to help? Please change the Priority.

comment:32 in reply to: ↑ description ; follow-ups: Changed 10 years ago by tolaiso

managed to solve the problem by khc's suggestion:

"Try this (suggested by khc on #pidgin):

  1. edit your msn account information 2. click on the advanced tab 3. clear "use HTTP method" 3. make proxy type: no proxy.

This is working for me."

comment:33 in reply to: ↑ 32 Changed 10 years ago by nriviera

The problem is some people need to use the HTTP method because we are behind firewalls where port 80 is the only open port. Please fix this, I have been unable to use IM for over a week now -- it is definitely high priority.

Replying to tolaiso:

managed to solve the problem by khc's suggestion:

"Try this (suggested by khc on #pidgin):

  1. edit your msn account information 2. click on the advanced tab 3. clear "use HTTP method" 3. make proxy type: no proxy.

This is working for me."

comment:34 in reply to: ↑ 32 Changed 10 years ago by alanpol

Replying to tolaiso:

managed to solve the problem by khc's suggestion:

This does NOT work for me - so have been left IM-less for a couple of weeks now. As stated earlier, please let me know if I can provide any information regarding my configuration to help fix this - of course can understand that resources are scarce, but am surprised the priority of this still hasn't been up-ed. Seems like there's a bunch of users completely wiped out by this...including me!

comment:35 Changed 10 years ago by jayre

I'm having the same problem. The official client works perfectly but pidgin won't work. Hopefully they will help resolve this, I really like pidgin and I don't want to use the official client.

comment:36 Changed 10 years ago by mishka

Still minor ? I can not stay without IM at my work - moving to use www.meebo.com If this bug will not be fixed ASAP Pidgin will loose a lot of users.. :(

comment:37 Changed 10 years ago by CZero

Okay, reading this thread and taking in all things mentioned I think some people here are being less then reasonable. Summing up the thread I come to this point:

  • MSN Protocol changed.
  • Some messengers (all? a lot?) experience the same troubles.
  • This is no -Pidin- bug, reading the first two points.
  • The fix mentioned: disable proxy, disable msn over http helps some people. It helped me for one day :S, afterwards it never worked again.
  • Most people posting in this thread complain it renders pidgin unworkable for people behind firewalls, not allowing anything beyond port 80. That's offcourse a given: If we weren't bound to these limitations at work we wouldn't have noticed the problem: there is no problem when you don't have to use port 80, you wouldn't use MSN over HTTP then right?

So, what remains: I agree that there are probably indeed quite a lot of users with the same limitations as us (who are posting in this thread), who I'm betting all can't wait till this is fixed. The question to raise priority to this problem is valid to me, but I'm guessing the moderator will have to descide on the real figures: how big is the userbase that uses msn over http (bound to limitations at work). I sure hope this consideration will lead to bigger priority.

Next to that: It is not a bug, but a change of protocol (digesting all information here) and I hope the coders will find a working solution soon!

comment:38 Changed 10 years ago by dneary

This is also WengoPhone ticket #1767 - and since the WengoPhone? only uses the HTTP method, this cuts MSN access for all our users.

Dave.

comment:39 Changed 10 years ago by dneary

Sorry - it's actually ticket #1766 - 1767 is related to allowing a direct connection rather than HTTP method in the WengoPhone interface.

comment:40 Changed 10 years ago by datallah

  • priority changed from minor to major
  • Summary changed from "Message could not be sent because a connection error occurred:" (on MSN) to "Message could not be sent because a connection error occurred:" (w/ MSN HTTP Method)

The priority assigned to this bug is largely insignificant and merely assigning it to a release isn't going to to get it fixed any faster.

The fastest way to get this fixed is for to submit a patch to fix it, otherwise it will have to wait until one of the people knowledgeable about the MSN prpl has time to do so.

"Me too" and "This is going to cause people to stop using pidgin" posts aren't helpful; we're already fully aware of the issue.

comment:41 Changed 10 years ago by lschiere

  • Milestone set to Merge MSNP14 Branch

Someone please check if this issue persists with the MSNP14 branch.

comment:42 Changed 10 years ago by TechnoSwiss

Thanks for working on this.

I'd be happy to help test, although my next question might mean you won't want my help...

How would I go about checking this? I'm assuming I have to check out the branch form someplace and compile the library? Which documentation do I need to be looking at to find out how to do that?

comment:43 Changed 10 years ago by galt

TechnoSwiss?, there's a tutorial for using Monotone for Pidgin.
I believe the branch you need to checkout is im.pidgin.cpw.khc.msnp14.

comment:44 Changed 10 years ago by geddeth

For the compiler/MTN-challenged, I've made a win32-build of the msnp14 branch available for this purpose here. I guess it's OK to report here whether the issue persists in that build?

comment:45 Changed 10 years ago by galt

geddeth, I tried your build, and the issue persists.

comment:46 Changed 10 years ago by The_Fac

Found this interesting information on Wikipedia that may help those that are inclined to work on this.

http://en.wikipedia.org/wiki/Windows_Live_Messenger#Final_Version_of_8.1

Protocol

Windows Live Messenger uses the Microsoft Notification Protocol (MSNP) over TCP (and optionally over HTTP to deal with proxies) to connect to the .NET Messenger Service—a service offered on port 1863 of messenger.hotmail.com. Its current version is 15 (MSNP15), used by Windows Live Messenger and other third-party clients. MSNP15 introduces a different authentication mechanism. The protocol is not completely secret; Microsoft disclosed version 2 (MSNP2) to developers in 1999 in an Internet Draft, but never released versions 8, 9, 10, 11, 12, 13, or 14 to the public. .NET Messenger Service servers currently only accept protocol versions from 8 and on, so the syntax of new commands from versions 8 through 14 is only known by using sniffers like Wireshark.

comment:47 follow-ups: Changed 10 years ago by laszlok

I think I have solved it. This works perfectly for me behind a corporate firewall that only allows port 80 out.

Here is the issue:

The default value for the msn server address is messenger.hotmail.com. You can see this is filled in beside "Server:" in the "Advanced" tab of the "Modify Account" dialog. However this server is only used for non-http connections. To use HTTP and bypass a corporate firewall, you must use gateway.messenger.hotmail.com. This address is hard-coded in the msn_httpconn_connect() function in libpurple/protocols/msn/httpconn.c. So no matter what host and port are given as arguments to msn_httpconn_connect(), it will always connect to gateway.messenger.hotmail.com on port 80.

The problem arises when the msn server tells us to use another host. This only recently stopped working, so I am guessing up until then microsoft used the same server for everything. When you want to start chatting to someone, the client sends a switchboard request to the server:

XFR 12 SB

Then the server responds with the information on how to connect to the switchboard:

XFR 12 SB 65.54.171.30:1863 CKI 151986110.22113252.20218652

You can see there is a host and port given for the switchboard in "65.54.171.30:1863". The other two arguments are authentication method and session ID. Of course this was designed before the HTTP method was in use, because as you know we can't connect to port 1863 because of our corporate firewall; we have to use port 80. However the server still expects us to connect to the given host on port 80. So we need to connect to 65.54.171.30:80.

The pidgin code parses the host and port nicely, and requests a new connection to that server, but these arguments are ignored because both the host and port are hard-coded in msn_httpconn_connect(). It tried to connect to the switchboard at gateway.messenger.hotmail.com, but that server is not a switchboard, and sends HTTP 400 Bad Request. Pidgin then reports this to the user as "Message could not be sent because a connection error occurred".

How to fix it:

First you have to apply my patch, which removes the hard-coded gateway.messenger.hotmail.com, and allows it to use the one in the "Advanced" tab of the "Modify Account" dialog. It's a simple one line patch:

--- libpurple/protocols/msn/httpconn.c	2007-08-20 14:12:48.000000000 -0400
+++ libpurple-http-fixed/protocols/msn/httpconn.c	2007-09-12 13:26:25.000000000 -0400
@@ -725,7 +725,7 @@
 		msn_httpconn_disconnect(httpconn);
 
 	httpconn->connect_data = purple_proxy_connect(NULL, httpconn->session->account,
-		"gateway.messenger.hotmail.com", 80, connect_cb, httpconn);
+		host, 80, connect_cb, httpconn);
 
 	if (httpconn->connect_data != NULL)
 	{

  1. Apply the patch to the 2.1.1 release (I haven't tested it out with anything else).
  2. Make, make install.
  3. Run Pidgin, and open Account -> Add/Edit?. Select you MSN account and click Modify.
  4. Go the the Advanced tab, and change Server to "gateway.messenger.hotmail.com" without the quotes.
  5. Make sure Port is 80, and "Use HTTP Method" is selected.
  6. Logout and login again. You should be able to chat now.

comment:48 in reply to: ↑ 47 Changed 10 years ago by nriviera

@laszlock

I applied your patch to a copy of the LibPurple? framework in Adium and it works! Great and simple solution, thanks.

comment:49 in reply to: ↑ 47 ; follow-ups: Changed 10 years ago by geddeth

I've built a zip of Pidgin for win32 with the above patch. I have not had a chance to test it yet, but if anyone else wants to try their luck, the build can be found here.

comment:50 in reply to: ↑ 49 Changed 10 years ago by blueorder

Replying to geddeth:

I've built a zip of Pidgin for win32 with the above patch. I have not had a chance to test it yet, but if anyone else wants to try their luck, the build can be found here.

You might want to change the "#" in the download link to "%23". The # is breaking the link. After copy/paste and changing to %23 the download link works.

comment:51 in reply to: ↑ 49 Changed 10 years ago by blueorder

Replying to geddeth:

I've built a zip of Pidgin for win32 with the above patch. I have not had a chance to test it yet, but if anyone else wants to try their luck, the build can be found here.

Yep, it works...

comment:52 Changed 10 years ago by datallah@…

  • Milestone changed from Merge MSNP14 Branch to 2.2.0
  • Resolution set to fixed
  • Status changed from new to closed

(In 5d4b00a88466bb9e851eaca42ab3fd3f2c4093ef) A fix from Laszlo Pandy to make the MSN HTTP Method work again. Fixes #2638 and should make a number of people happy. This introduces a new string that isn't marked as translatable for 2.2.0 because it is so late in the game.

comment:53 in reply to: ↑ 49 Changed 10 years ago by jayre

Replying to geddeth:

I've built a zip of Pidgin for win32 with the above patch. I have not had a chance to test it yet, but if anyone else wants to try their luck, the build can be found here.

That isn't working for me, but I assume I'm just doing something wrong. Could you explain what to do with that zip file once I've got it?

comment:54 Changed 10 years ago by TechnoSwiss

Works great, unzip the file, then follow the directions from laszlok "How to fix it".

Saved a copy of my pidgin install and dropped the unzipped files in place of the originals.

Thanks everyone who's helped get it fixed.

comment:55 Changed 10 years ago by jebbis

thanks, it works great :)

comment:56 Changed 10 years ago by alanpol

Also works for me - many, many thanks!

comment:57 Changed 10 years ago by simpleness

Don't forget to put the server (not the HTTP Method server) back to messenger.hotmail.com and the port to 1863 after installing the 2.2.0 final version after using the development version. At least that's what I had to do.

comment:58 Changed 10 years ago by skerit

I have tried every fix by now,

pidgin just won't connect from behind the proxy here at work ...

Not in the 2.1.1 version, not in the 2.2.0 version ...

comment:59 follow-up: Changed 10 years ago by landroni

I can confirm this problem with Pidgin 2.2.2 on Gentoo Linux. I connect to the Internet through a transparent proxy.

I have the following options: Server: messenger.hotmail.com Port: 1863 HTTP Method server: gateway.messenger.hotmail.com

The error message is: email@… disconnected Connection error from Notification server: Reading error

Does anyone know how to tweak the settings so as to make the connection work?

comment:60 in reply to: ↑ 59 Changed 10 years ago by AbrekUS

landroni,

There are my settings which works fine with Pidgin 2.2.2 (Windows):

Server: gateway.messenger.hotmail.com
Port: 80
Use HTTP Method: checked
HTTP Method server: gateway.messenger.hotmail.com

comment:61 follow-up: Changed 10 years ago by landroni

Thank you for the prompt response. I entered the settings you suggested. Saved and then restarted Pidgin. MSN connection refuses to work, while Google Chat functions as expected.

What bothers me is that even http://webmessenger.msn.com/ fails. Actually, I manage to connect to it, but at the next refresh it disconnects me (this, using Opera, but "masking as firefox"). Wild guess: does MS ban non-windows systems connecting to their MSN protocol?

But, more important, is there anything else I could try to make Pidgin function on MSN?

comment:62 in reply to: ↑ 61 Changed 10 years ago by AbrekUS

landroni, I don't think that MS is blocking non-Windows clients, 'case I had Pidgin on my laptop with Fedora 7 working with MSN about an hour ago. Unfortunately, I've removed Fedora 7 and I'm installing OpenSuSE on my laptop right now, so I can't tell you exact setting. Try these settings:

Server: messenger.hotmail.com
Port: 1863
Use HTTP Method: checked
HTTP Method server: messenger.hotmail.com

As I recall, I synced up "Server" and "HTTP Method server" settings.

comment:63 follow-up: Changed 10 years ago by landroni

I tried this, too, but it refuses to work. It is probably a bug. Is there anything else I could tweak?

comment:64 Changed 10 years ago by jellyfish

I have the same problem as landroni.

I can connect and view my contacts just fine, but when I try to message one of them, it says: "Message could not be sent because a connection error occurred:"

comment:65 Changed 10 years ago by TechnoSwiss

Try

Server: messenger.hotmail.com Port: 1863 Use HTTP Method: checked HTTP Method server: gateway.messenger.hotmail.com

comment:66 Changed 10 years ago by TechnoSwiss

Lets try again with some formatting....

Server: messenger.hotmail.com
Port: 1863
Use HTTP Method: checked
HTTP Method server: gateway.messenger.hotmail.com

comment:67 in reply to: ↑ 63 Changed 10 years ago by AbrekUS

landroni,

I just upgraded Pidgin to 2.2.2 (from 2.1.1) on freshly installed openSUSE 10.3 and it works fine with MSN:

 Server: messenger.hotmail.com
 Port: 1863
 Use HTTP Method: checked
 HTTP Method server: gateway.messenger.hotmail.com
 Show custom smileys: checked
 Proxy type: No Proxy

What is your proxy type setting?

comment:68 Changed 10 years ago by landroni

These are the settings that I initially had, that is by default. However, I do use a transparent proxy, as follows:

Proxy type: HTTP
Host: <SERVER>
Port: 3128

So the actual symptoms are as follows: on a random basis it connects to MSN, and on a same random basis it disconnects itself from MSN. Recently I almost never manage to connect myself. And I have tried all the suggestions posted.

(20:23:34) account: Connecting to account ADDRESS@hotmail.com
(20:23:34) connection: Connecting. gc = 0x856a760
(20:23:34) msn: new httpconn (0x8531208)
(20:23:34) dns: DNS query for 'PROXY_SERVER' queued
(20:23:34) msn: C: NS 000: VER 1 MSNP9 MSNP8 CVR0
(20:23:34) dns: Created new DNS child 6189, there are now 1 children.
(20:23:34) dns: Successfully sent DNS request to child 6189
(20:23:34) dns: Got response for 'PROXY_SERVER'
(20:23:34) dnsquery: IP resolved for PROXY_SERVER
(20:23:34) proxy: Attempting connection to 10.251.151.6
(20:23:34) proxy: Connecting to gateway.messenger.hotmail.com:80 via PROXY_SERVER:3128 using HTTP
(20:23:34) proxy: Connection in progress
(20:23:34) proxy: HTTP proxy connection established
(20:23:34) msn: S: NS 000: VER 1 MSNP9 MSNP8 CVR0
(20:23:34) msn: C: NS 000: CVR 2 0x0409 winnt 5.1 i386 MSNMSGR 6.0.0602 MSMSGS ADDRESS@hotmail.com
(20:23:34) msn: HTTP: Read error
(20:23:34) msn: Connection error from Notification server (gateway.messenger.hotmail.com): Reading error
(20:23:34) msn: C: NS 000: OUT
(20:23:34) msn: HTTP: Read error
(20:23:34) msn: Connection error from Notification server (gateway.messenger.hotmail.com): Reading error
(20:23:34) g_log: msn_session_disconnect: assertion `session->connected' failed
(20:23:34) account: Disconnecting account 0x81471f8
(20:23:34) connection: Disconnecting connection 0x856a760
(20:23:34) msn: destroy httpconn (0x8531208)
(20:23:34) jabber: jabber_actions: have pep: NO
(20:23:34) connection: Destroying connection 0x856a760

So, is this a bug in the way Pidgin handles through-proxy connections?

Note: See TracTickets for help on using tickets.
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!